//
// Copyright (c) Microsoft. All rights reserved.
// See https://aka.ms/azai/vision/license for the full license information.
//

#pragma once
#include <vision_api_cxx_common.h>

namespace Azure {
namespace AI {
namespace Vision {
namespace ImageAnalysis {

/// <summary>
/// The properties supported on the Image Analysis result object
/// </summary>
enum class ImageAnalysisResultProperty
{
    /// <summary>
    /// This property exposes the raw JSON string returned from the Image Analysis service
    /// </summary>
    Json = 0
};

} } } } // Azure::AI::Vision::ImageAnalysis

PRIVATE_PROPERTY_COLLECTION_STATICS(Azure::AI::Vision::ImageAnalysis::ImageAnalysisResultProperty, "image-analysis.result")
